#ifndef __NET_H
#define __NET_H
#include "includes.h"
#include "lwip/sockets.h"

extern INT32S g_iec104_socket;
extern INT32S g_iec104_socket_link_state;
extern INT32S g_modbus_tcp_socket;
extern INT32S g_modbus_tcp_socket_link_state;
extern u8     g_data_req_flag;
#define MAX_RECV_SIZE 500 /* 最大接收Buf长度 */

#define TCP_PORT 8080
#define IEC_PORT 2404

void   iec104_task(void);
INT32S iec104_rec_master(char *rec_buf);

void  fly_mosbus_init_flag(void);
int   modbus_tcp_rec_module(INT8U *rec_buf);
err_t fly_test_process(INT8U *rec_buf, INT32S buf_len);
int   modbus_tcp_connect_module(void);
#endif
